package com.gyee.frame.model.auto;

import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.lang.Double;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import java.lang.Integer;

/**
 *  Weatherfh 
 * @author Wang Jiawen_自动生成
 * @email 1@qq.com
 * @date 2020-01-07 16:14:18
 */
 @ApiModel(value="Weatherfh", description="")
public class Weatherfh implements Serializable {

	private static final long serialVersionUID = 1L;
	
		
	/** id编码 **/
	@ApiModelProperty(value = "id编码") 
private Integer id;
		
	/** 日期 **/
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
	@ApiModelProperty(value = "日期") 
private Date date;
		
	/** 地点 **/
	@ApiModelProperty(value = "地点") 
private String region;
		
	/** 风场编号 **/
	@ApiModelProperty(value = "风场编号") 
private String windpowerstationid;
		
	/** 气象 **/
	@ApiModelProperty(value = "气象") 
private String weather;
		
	/** 温度 **/
	@ApiModelProperty(value = "温度") 
private String temperature;
		
	/** 风向 **/
	@ApiModelProperty(value = "风向") 
private String winddirection;
		
	/** 体感温度 **/
	@ApiModelProperty(value = "体感温度") 
private Double realfeel;
		
	/** 风速 **/
	@ApiModelProperty(value = "风速") 
private Double speed;
		
		
	public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }
	 
			
	public Date getDate() {
        return date;
    }

    public void setDate(Date date) {
        this.date = date;
    }
	 
			
	public String getRegion() {
        return region;
    }

    public void setRegion(String region) {
        this.region = region;
    }
	 
			
	public String getWindpowerstationid() {
        return windpowerstationid;
    }

    public void setWindpowerstationid(String windpowerstationid) {
        this.windpowerstationid = windpowerstationid;
    }
	 
			
	public String getWeather() {
        return weather;
    }

    public void setWeather(String weather) {
        this.weather = weather;
    }
	 
			
	public String getTemperature() {
        return temperature;
    }

    public void setTemperature(String temperature) {
        this.temperature = temperature;
    }
	 
			
	public String getWinddirection() {
        return winddirection;
    }

    public void setWinddirection(String winddirection) {
        this.winddirection = winddirection;
    }
	 
			
	public Double getRealfeel() {
        return realfeel;
    }

    public void setRealfeel(Double realfeel) {
        this.realfeel = realfeel;
    }
	 
			
	public Double getSpeed() {
        return speed;
    }

    public void setSpeed(Double speed) {
        this.speed = speed;
    }
	 
			
	public Weatherfh() {
        super();
    }
    
																																															
	public Weatherfh(Integer id,Date date,String region,String windpowerstationid,String weather,String temperature,String winddirection,Double realfeel,Double speed) {
	
		this.id = id;
		this.date = date;
		this.region = region;
		this.windpowerstationid = windpowerstationid;
		this.weather = weather;
		this.temperature = temperature;
		this.winddirection = winddirection;
		this.realfeel = realfeel;
		this.speed = speed;
		
	}
	
}